Upgrading Eclipse: An exercise in frustration


I am keen to try out Amazon's new AWS Toolkit for Eclipse which adds EC2 instance management and direct deployment into the Eclipse IDE.

However, I have just wasted my afternoon trying to upgrade to a new version of Eclipse that:

  1. Is version 3.3 or later, to be compatible with Amazon's toolkit
  2. Includes the Web Tools Platform, ditto
  3. Actually works, without weird graphics glitches (Ganymede/3.4) or broken components out-of-the-box (Europa/3.3)

This reminds me why I've stuck with Eclipse version 3.2 for years -- every update is a huge pain.

Anyhow, that's enough whining for now. I'm writing this post in the hope that I can come back and update it with some solutions if/when I figure out how to get this stuff working.

Tags: Java Other